Subject: Re: bug#14034: 24.3.50; M-/ runs diff-undo in Diff mode

From: Richard Copley <[email-masked]>
Date: Sat, 23 Mar 2013 16:48:51 +0000

>> Looking at diff-mode code, it appears to me we should simply remove the
>> explicit "/" binding. `diff-mode-shared-map' already remaps undo to
>> diff-undo.

Thanks, that would be great.

>> Where do these strange M- mappings come from? Specifying "x" in that
>> list binds "M-x" as well. That's crazy.
>
> That would be crazy, indeed.  That's why there's no such `x' binding
> in there.

I apologise, I obviously failed to express my point. What I meant is
that in my opinion, it is incorrect that if "x" were specified in that
list then "M-x" would be bound. I wasn't only referring to "M-x". I
intended to include other keys, such as those I mentioned, which do
appear in the list: "M-o", "M-TAB", "M-{" and "M-}". If you disagree
or aren't interested, that's fine, and thanks anyway.